import { request } from 'umi';
import { getDataBaseUrl } from '@/global_data';
export default {
  /**获取物料类型 */
  getTypeList(params, options) {
    return request(getDataBaseUrl()+'/api/batching/getbatchingtypelist', {
      method: 'GET',
      params: {
        ...params,
      },
    });
  },
  GetDicList(TypeCode) {
    // http://localhost:7002
    return request(getDataBaseUrl()+`/api/dictdata/getdiclist?typeCode=`+TypeCode, {
      method: 'Get',
    });
  },
  /**获取物料单位 */
  getUintList(params, options) {
    return request(getDataBaseUrl()+'/api/batching/getbatchinguintList', {
      method: 'GET',
      params: {
        ...params,
      },
    });
  },
  /**添加物料单位 */
  addbatchinguint(params, options) {
    return request(getDataBaseUrl()+'/api/batching/addbatchinguint', {
      method: 'POST',
      data: {
        ...params,
      },
    });
  },
  /**添加物料类型 */
  addbatchingtype(params, options) {
    return request(getDataBaseUrl()+'/api/batching/addbatchingtype', {
      method: 'POST',
      data: {
        ...params,
      },
    });
  },
  add(params, options) {
    return request(getDataBaseUrl()+'/api/batching/add', {
      method: 'POST',
      data: {
        ...params,
      },
    });
  },
  /**修改物料 */
  update(params, options) {
    return request(getDataBaseUrl()+'/api/batching/update', {
      method: 'Post',
      data: params,
    });
  },
  /** 批量删除物料信息*/
  removeProduct(data) {
    return request(getDataBaseUrl()+`/api/batching/delete`, {
      method: 'Post',
      data: data,
      // ...(options || {}),
    });
  },
  /**获取物料基础信息 */
  getpage(params, options) {
    return request(getDataBaseUrl()+'/api/batching/getpage', {
      method: 'Post',
      data: params,
    });
  },
  getproductdetailed(params, options) {
    return request(getDataBaseUrl()+'/api/product-code-server/product-list', {
      method: 'Post',
      data: params,
    });
  },
  /** 物料状态启用或禁用*/
  updateStatus(data) {
    return request(getDataBaseUrl()+`/api/batching/updatebatchingstatus`, {
      method: 'Post',
      data: data,
      // params: { ...params },
      // ...(options || {}),
    });
  },
  //根据物料编号查询多包装信息
  BatchList(data) {
    return request(getDataBaseUrl()+`/api/product/product-code/${data}`, {
      method: 'get',
    });
  }
};
